ng serve/ng serve --prod --aot启动项目出现的问题

icewaves 发布于 2017/03/08 14:22
阅读 5K+
收藏 0

@大漠穷秋 你好,想跟你请教个问题:大漠老师您好,今天我看了你的angular2.0安装的视频中,我git了NiceFish的这个项目然后ng serve --prod --aot 后 之后提示我You have to be inside an angular-cli project in order to use the serve command. 我的确是在NiceFish的目录下的呀,还望老师指点一下这个问题,谢谢!

加载中
0
Yangerle
Yangerle

遇到相同的问题,同问

0
w
wujian_166

遇到相同的问题,同问

angular-cli: 1.0.0-beta.28.3

node: 6.9.4

os: win32 x64

@angular/common: 4.0.0-beta.8

@angular/compiler: 4.0.0-beta.8

@angular/compiler-cli: 4.0.0-beta.8

@angular/core: 4.0.0-beta.8

@angular/forms: 4.0.0-beta.8

@angular/http: 4.0.0-beta.8

@angular/platform-browser: 4.0.0-beta.8

@angular/platform-browser-dynamic: 4.0.0-beta.8

@angular/platform-server: 4.0.0-beta.8

@angular/router: 4.0.0-beta.8

@angular/cli: 1.0.0-rc.0

 

0
柠檬和铃铛

遇到同样的问题。求问。。我是新装的nodejs和最新的angulaer-cli ,然后new了一个新的项目  ng serve的时候报这个错。

0
馬輝53541
馬輝53541

同问啊。。。。解决了说一声

 

0
qx明
qx明

不是这个项目,遇到类似到报错,参见 https://github.com/angular/angular-cli/issues/4895 解决。具体原因,其实那该黄色到警告已经说明,angular-cli 已经被抛弃,转到 @angular/cli。所以当我卸载 angular-cli  ,运行npm install -g @angular/cli,成功后就可以用 cli 的命令了。

0
Sun_Star丶
Sun_Star丶

你自己全局安装的ngcli版本和项目依赖的版本不一致,默认调用全局的cli。把ng serve写到package.json的 npm script里,用npm命令调用。或者全局安装package.json里的cli版本

返回顶部
顶部